Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.soap.util
Interface DocumentModifiers

All Superinterfaces:
  Extension

public interface DocumentModifiers
extends Extension

Reads or modifies documents in publisher and subscriber requests and responses. To implement this interface, your class must implement the init() method from the Extension interface, as well as four additional methods that the driver shim also calls at various points during data processing. Two of those points are on the subscriber channel, and two are on the publisher channel. (See the driver documentation for a diagram of these extension points.) All four methods receive a DOM document and return a DOM document. If you need to only see the XML and don't need to modify it, return the document parameter unmodified. If you want to use byte arrays rather than DOM documents or if the application receives or returns non-XML data that must be converted to or from XML, implement ByteArrayModifiers instead of this interface.

See Also:
  `ByteArrayModifiers`

Method Summary
`Document` | `modifyPublisherRequest(Document document)` Allows you to see or modify the request (the publisher event from the application) before it is sent to the DirXML engine.
`Document` | `modifyPublisherResponse(Document document)` Allows you to see or modify the response (the result of the publisher event) before it is sent to the application.
`Document` | `modifySubscriberRequest(Document document)` Allows you to see or modify the request (which is also called a subscriber command) before it is sent to the application.
`Document` | `modifySubscriberResponse(Document document)` Allows you to see or modify the response returned from the application (the result of the subscriber command) before it is returned to the DirXML engine.

Methods inherited from interface com.novell.nds.dirxml.driver.soap.util.Extension
`init`

Method Detail

### modifyPublisherRequest

    public Document modifyPublisherRequest(Document document)

  Allows you to see or modify the request (the publisher event from the application) before it is sent to the DirXML engine.

  Parameters:
    `document` - The document received from the application as a publisher event.
  Returns:
    The same document that was passed in (which can be modified if desired).
  See Also:
    `ByteArrayModifiers.modifyPublisherRequest(byte[])`

### modifyPublisherResponse

    public Document modifyPublisherResponse(Document document)

  Allows you to see or modify the response (the result of the publisher event) before it is sent to the application.

  Parameters:
    `document` - The document received by the engine as the result of a publisher event.
  Returns:
    The same document that was passed in (which can be modified if desired).
  See Also:
    `ByteArrayModifiers.modifyPublisherResponse(byte[])`

### modifySubscriberRequest

    public Document modifySubscriberRequest(Document document)

  Allows you to see or modify the request (which is also called a subscriber command) before it is sent to the application.

  Parameters:
    `document` - The document received from the engine as a subscriber command.
  Returns:
    The same document that was passed in (which can be modified if desired).
  See Also:
    `ByteArrayModifiers.modifySubscriberRequest(byte[])`

### modifySubscriberResponse

    public Document modifySubscriberResponse(Document document)

  Allows you to see or modify the response returned from the application (the result of the subscriber command) before it is returned to the DirXML engine.

  Parameters:
    `document` - The document received from the application as a response to a subscriber command.
  Returns:
    The same document that was passed in (which can be modified if desired).
  See Also:
    `ByteArrayModifiers.modifySubscriberResponse(byte[])`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD